﻿using Connected.ServiceModel;

namespace Connected.Security.Identity;

public class UserInsertArgs : Dto
{
	public string? FirstName { get; init; }
	public string? LastName { get; init; }
	public string? LoginName { get; init; }
	public string? Email { get; init; }
	public string? TimeZone { get; init; }
	public int Language { get; init; }
}

public sealed class UserUpdateArgs : UserInsertArgs
{
	public int Id { get; init; }
}

public sealed class UserResolveArgs : Dto
{
	public string? Criteria { get; init; }
}

public sealed class UserPasswordArgs : PrimaryKeyArgs<int>
{
	public string? ExistingPassword { get; init; }
	public string? NewPassword { get; init; }
}
